clist< T > Class Template Reference

`#include <mia/mesh/clist.hh>`

Inheritance diagram for clist< T >:
[legend]

## Data Structures

struct | node

## Public Types

typedef const node * | const_iterator
typedef node * | iterator
typedef T | value_type

## Public Member Functions

iterator | begin ()
const_iterator | begin () const
| clist ()
iterator | end ()
const_iterator | end () const
void | push_back (T val)
void | remove (node *n)
int | size ()
| ~clist ()

## Detailed Description

template<class T>
class clist< T >

Definition at line 29 of file clist.hh.

## Member Typedef Documentation

## const_iterator

template<class T>

typedef const node* clist< T >::const_iterator

Definition at line 58 of file clist.hh.

## iterator

template<class T>

typedef node* clist< T >::iterator

Definition at line 57 of file clist.hh.

## value_type

template<class T>

typedef T clist< T >::value_type

Definition at line 33 of file clist.hh.

## Constructor & Destructor Documentation

## clist()

template<class T>

clist< T >::clist | ( |  | ) |

inline

Definition at line 61 of file clist.hh.

## ~clist()

template<class T>

clist< T >::~clist | ( |  | ) |

inline

Definition at line 64 of file clist.hh.

## Member Function Documentation

## begin() [1/2]

template<class T>

iterator clist< T >::begin | ( |  | ) |

inline

Definition at line 76 of file clist.hh.

Referenced by TPolyTriangulator< VertexVector, Polygon >::triangulate().

## begin() [2/2]

template<class T>

const_iterator clist< T >::begin | ( |  | ) | const

inline

Definition at line 86 of file clist.hh.

## end() [1/2]

template<class T>

iterator clist< T >::end | ( |  | ) |

inline

Definition at line 81 of file clist.hh.

Referenced by TPolyTriangulator< VertexVector, Polygon >::triangulate().

## end() [2/2]

template<class T>

const_iterator clist< T >::end | ( |  | ) | const

inline

Definition at line 91 of file clist.hh.

## push_back()

template<class T>

void clist< T >::push_back | ( | T | val | ) |

inline

Definition at line 114 of file clist.hh.

Referenced by TPolyTriangulator< VertexVector, Polygon >::triangulate().

## remove()

template<class T>

void clist< T >::remove | ( | node * | n | ) |

inline

Definition at line 97 of file clist.hh.

Referenced by TPolyTriangulator< VertexVector, Polygon >::triangulate(), and clist< typename Polygon::value_type >::~clist().

## size()

template<class T>

int clist< T >::size | ( |  | ) |

inline

Definition at line 126 of file clist.hh.

The documentation for this class was generated from the following file:

- clist.hh